<?php

namespace App\Controller\Sub;

use App\Http\HttpCodes;
use App\Http\HttpResponse;
use App\Http\JsonHttpResponse;
use App\Http\ViewHttpResponse;
use App\Model\TacticModel;
use App\Session\SessionHandle;
use App\Validation\ValidationFail;
use App\Validator\TacticValidator;

class VisualizerController {
    private TacticModel $tacticModel;

    /**
     * @param TacticModel $tacticModel
     */

    public function __construct(TacticModel $tacticModel) {
        $this->tacticModel = $tacticModel;
    }

    public function visualize(int $id, SessionHandle $session): HttpResponse {
        $tactic = $this->tacticModel->get($id);

        $failure = TacticValidator::validateAccess($tactic, $id, $session->getAccount()->getId());

        if ($failure != null) {
            return ViewHttpResponse::twig('error.html.twig', ['failures' => [$failure]], HttpCodes::NOT_FOUND);
        }

        return ViewHttpResponse::react("views/Visualizer.tsx", ["name" => $tactic->getName()]);
    }
}
