<?php

namespace App\Validator;

use App\Data\TacticInfo;
use App\Validation\ValidationFail;

class TacticValidator {
    public static function validateAccess(?TacticInfo $tactic, int $tacticId, int $ownerId): ?ValidationFail {
        if ($tactic == null) {
            return ValidationFail::notFound("La tactique $tacticId n'existe pas");
        }

        if ($tactic->getOwnerId() != $ownerId) {
            return ValidationFail::unauthorized("Vous ne pouvez pas accéder à cette tactique.");
        }

        return null;
    }

}
